function plot_EXT( hGUI, hAxes )
%
% Function to plot the External Data measurements
%
% Input
% -----
% hGUI ............... Handel to the user interface
% hAxes .............. Handels to the graphic axes
%
% Output
% ------
%

% Retrieve named application data
% -------------------------------
tsg    = getappdata( hGUI, 'tsg_data');

% Plot the Salinity with the right color code
% -------------------------------------------
axes( hAxes(1));

hold on;
           
% Plot external salinity on TSG plot
% --------------------------------
if ~isempty(tsg.SSPS_EXT)
    plot(hAxes(1), tsg.DAYD_EXT, tsg.SSPS_EXT, 'b*');
end

hold off;

axes( hAxes(2));

hold on;
% Plot external temperature on TSG plot
% -------------------------------------
if ~isempty(tsg.SSTP_EXT)
    plot(hAxes(1), tsg.DAYD_EXT, tsg.SSTP_EXT, 'b*');
end